summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEdward Hervey <bilboed@bilboed.com>2014-02-03 12:10:23 +0100
committerEdward Hervey <bilboed@bilboed.com>2014-02-03 12:10:23 +0100
commitff6a2e8fbfb401a7fe08f11201077a1a328b5678 (patch)
tree6a04ab728ce0c0367dd00704ff3ba94c9910dbab
parentdea2adb4fe74811f749da85ad592541c909c0c17 (diff)
ci-build: Don't fail on make check
All results will be stored in xml xunit files
-rwxr-xr-xci-build.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/ci-build.sh b/ci-build.sh
index c6cdb6f..1fe0480 100755
--- a/ci-build.sh
+++ b/ci-build.sh
@@ -48,7 +48,7 @@ MODULES="gst-plugins-good gst-plugins-ugly gst-plugins-bad gst-libav gst-rtsp-se
EXTRA_MODULES="gst-python"
# modules for which we run make check/distcheck
-CHECK_MODULES="orc gstreamer gst-plugins-base gst-plugins-good gst-plugins-ugly gst-libav gst-rtsp-server"
+CHECK_MODULES="orc gstreamer gst-plugins-base gst-plugins-good gst-plugins-ugly gst-plugins-bad gst-libav gst-rtsp-server gnonlin gst-editing-services"
VALGRIND_MODULES=""
ERROR_RETURN=255
@@ -213,13 +213,17 @@ make_check()
echo "+ $1 : make check"
logname=$LOGDIR/$1-make-check.log
- make check V=1 > $logname 2>&1
+ # remove pending xml check files
+ rm -f tests/check/*/*.xml
+
+ GST_CHECK_XML=1 make check V=1 > $logname 2>&1
if test $? -ne 0
then
- echo "MAKE CHECK FAILURE"
+ echo "+ $1 : MAKE CHECK FAILURE"
cat $logname
- exit $ERROR_RETURN
+ # We don't want to error out
+ # exit $ERROR_RETURN
fi
if test "x$FLAVOR" == "xfull"; then